package com.qianhe.service;

import com.qianhe.domain.SjGfjsZsdwkhpjfjx;

import java.util.List;

/**
 * 规范建设-直属单位考核评价否决项Service接口
 * 
 * @author qianhe
 * @date 2024-07-24
 */
public interface ISjGfjsZsdwkhpjfjxService
{
    /**
     * 查询规范建设-直属单位考核评价否决项
     * 
     * @param id 规范建设-直属单位考核评价否决项主键
     * @return 规范建设-直属单位考核评价否决项
     */
    public SjGfjsZsdwkhpjfjx selectSjGfjsZsdwkhpjfjxById(Long id);

    /**
     * 查询规范建设-直属单位考核评价否决项列表
     * 
     * @param sjGfjsZsdwkhpjfjx 规范建设-直属单位考核评价否决项
     * @return 规范建设-直属单位考核评价否决项集合
     */
    public List<SjGfjsZsdwkhpjfjx> selectSjGfjsZsdwkhpjfjxList(SjGfjsZsdwkhpjfjx sjGfjsZsdwkhpjfjx);

    /**
     * 新增规范建设-直属单位考核评价否决项
     * 
     * @param sjGfjsZsdwkhpjfjx 规范建设-直属单位考核评价否决项
     * @return 结果
     */
    public int insertSjGfjsZsdwkhpjfjx(SjGfjsZsdwkhpjfjx sjGfjsZsdwkhpjfjx);

    /**
     * 修改规范建设-直属单位考核评价否决项
     * 
     * @param sjGfjsZsdwkhpjfjx 规范建设-直属单位考核评价否决项
     * @return 结果
     */
    public int updateSjGfjsZsdwkhpjfjx(SjGfjsZsdwkhpjfjx sjGfjsZsdwkhpjfjx);

    /**
     * 批量删除规范建设-直属单位考核评价否决项
     * 
     * @param ids 需要删除的规范建设-直属单位考核评价否决项主键集合
     * @return 结果
     */
    public int deleteSjGfjsZsdwkhpjfjxByIds(Long[] ids);

    /**
     * 删除规范建设-直属单位考核评价否决项信息
     * 
     * @param id 规范建设-直属单位考核评价否决项主键
     * @return 结果
     */
    public int deleteSjGfjsZsdwkhpjfjxById(Long id);

    int batchSave(List<SjGfjsZsdwkhpjfjx> fjxList);

    int pledit(List<SjGfjsZsdwkhpjfjx> list);

}
